Name:           mint-y-theme
Version:        1.2.4
Release:        3%{?dist}
Summary:        The Mint-Y theme

License:        GPLv3+
URL:            https://github.com/linuxmint/%{name}
Source0:        http://packages.linuxmint.com/pool/main/m/%{name}/%{name}_%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  fdupes
BuildRequires:  rubygem-sass
BuildRequires:  optipng
BuildRequires:  python%{python3_pkgversion}-devel

Requires:       mint-y-icons

%description
The Mint-Y theme.  This theme is based on the Arc theme.


%prep
%autosetup -c


%build
pushd %{name}/src
%{__python3} build-themes.py
popd
%{_bindir}/find %{name}%{_prefix} -type f | %{_bindir}/xargs %{__chmod} -c 0644
%{_bindir}/find %{name}%{_prefix} -type d | %{_bindir}/xargs %{__chmod} -c 0755


%install
%{__cp} -pr %{name}%{_prefix} %{buildroot}
%fdupes -s %{buildroot}


%files
%license %{name}/debian/copyright
%doc %{name}/debian/changelog
%{_datadir}/themes/Mint-Y*


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 1.2.4-1
- New upstream release

* Mon Jan 15 2018 Björn Esser <besser82@fedoraproject.org> - 1.2.3-2
- Rebuilt for proper inclusion in EPEL7 after un-retirement (#1534274)

* Thu Dec 28 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.3-1
- Import after retirement (#1529516)

* Thu Dec 28 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.3-0.1
- Initial rpm release (#1411154)
